--- inode.c.0	Thu Apr 15 15:46:18 1999
+++ inode.c	Fri Apr 16 11:19:30 1999
@@ -133,12 +133,6 @@
 	sema_init(&inode->i_atomic_write, 1);
 }
 
-static inline void write_inode(struct inode *inode)
-{
-	if (inode->i_sb && inode->i_sb->s_op && inode->i_sb->s_op->write_inode)
-		inode->i_sb->s_op->write_inode(inode);
-}
-
 static inline void sync_one(struct inode *inode)
 {
 	if (inode->i_state & I_LOCK) {
@@ -152,7 +146,8 @@
 		inode->i_state ^= I_DIRTY | I_LOCK;
 		spin_unlock(&inode_lock);
 
-		write_inode(inode);
+		if (inode->i_sb && inode->i_sb->s_op && inode->i_sb->s_op->write_inode)
+			inode->i_sb->s_op->write_inode(inode);
 
 		spin_lock(&inode_lock);
 		inode->i_state &= ~I_LOCK;
@@ -703,9 +698,8 @@
 				list_del(&inode->i_list);
 				INIT_LIST_HEAD(&inode->i_list);
 				if (op && op->delete_inode) {
-					void (*delete)(struct inode *) = op->delete_inode;
 					spin_unlock(&inode_lock);
-					delete(inode);
+					op->delete_inode(inode);
 					spin_lock(&inode_lock);
 				}
 			}
